%define anolis_release 1
Name: diffstat
Version: 1.66
Release: %{anolis_release}%{?dist}
License: MIT
URL: https://invisible-island.net/diffstat
Summary: A utility which provides statistics based on the output of diff
Source0: https://invisible-mirror.net/archives/diffstat/%{name}-%{version}.tgz
# Taken from diffstat.c.
Source1: COPYING

BuildRequires: gcc
BuildRequires: xz
BuildRequires: make

%description
The diff command compares files line by line.  Diffstat reads the
output of the diff command and displays a histogram of the insertions,
deletions and modifications in each file.  Diffstat is commonly used
to provide a summary of the changes in large, complex patch files.

Install diffstat if you need a program which provides a summary of the
diff command's output.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
cp %{SOURCE1} .
%generate_compatibility_deps

%check
make check

%files
%license COPYING
%{_bindir}/diffstat
%{_mandir}/*/*
%dir %{abidir}
%{abidir}/diffstat-option.list

%files doc
%doc CHANGES README

%changelog
* Fri Feb 28 2025 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.66-1
- Update to 1.66-1 from 1.65-1

* Wed Mar 15 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.65-1
- Init from upstream
